#!/bin/sh
TEMP="setup.tmp"
YES=0
OK=0
NO=1
echo "Checking for \"dialog\"..."
DIALOG=`which dialog 2> /dev/null`        
if [ -z $DIALOG ]; then
    echo -e "\033[1A\033[71G\033[31m\033[1mfailed\033[m"
    echo "This script requires the dialog utility!"
    exit
  else
    echo -e "\033[1A\033[71G\033[32mdone\033[m" 
fi
MYSQL=`which mysql 2> /dev/null`        
if [ -z $MYSQL ]; then
    echo -e "\033[1A\033[71G\033[31m\033[1mfailed\033[m"
    echo "I could not find the mysql client utility!"
    exit
  else
    echo -e "\033[1A\033[71G\033[32mdone\033[m" 
fi
MYSQL_HOST=`cat ../mysql_cfg.h | grep MYSQL_HOST | sed 's/#define.MYSQL_HOST.//' | tr -d \"`
MYSQL_USER=`cat ../mysql_cfg.h | grep MYSQL_USER | sed 's/#define.MYSQL_USER.//' | tr -d \"`
MYSQL_DB=`cat ../mysql_cfg.h | grep MYSQL_DB | sed 's/#define.MYSQL_DB.//' | tr -d \"`
MYSQL_PASS=`cat ../mysql_cfg.h | grep MYSQL_PASS | sed 's/#define.MYSQL_PASS.//' | tr -d \"`
rm -f $TEMP $TEMP.sql
dialog --inputbox "MySQL host:" 10 30 $MYSQL_HOST 2>$TEMP
if [ $? -eq $OK ]; then
  MYSQL_HOST=`cat $TEMP`
else 
  exit
fi
dialog --inputbox "MySQL User:" 10 30 $MYSQL_USER 2>$TEMP
if [ $? -eq $OK ]; then
  MYSQL_USER=`cat $TEMP`
else
  exit
fi
dialog --inputbox "MySQL Pass:" 10 30 $MYSQL_PASS 2>$TEMP
if [ $? -eq $OK ]; then
  MYSQL_PASS=`cat $TEMP`
else
  exit
fi
dialog --inputbox "MySQL Database:" 10 30 $MYSQL_DB 2>$TEMP
if [ $? -eq $OK ]; then
  MYSQL_DB=`cat $TEMP`
else
  exit
fi
dialog --yesno "Create user ? " 10 30 2>$TEMP
RESC=$?
#dialog --yesno "Drop tables first?" 10 30 2>$TEMP
#RESD=$?

echo "Updating ../mysql_cfg.h"
cat << _EOF_ > ../mysql_cfg.h
/* MySQL database configuration
 *
 * PTlink Services is (C) CopyRight PTlink Coders Team 1999-2000
 * http://www.ptlink.net/Coders/ - coders@PTlink.net
 * This program is distributed under GNU Public License
 * Please read the file COPYING for copyright information.
 *
 * These services are based on Andy Church Services
*/

#define MYSQL_HOST	"$MYSQL_HOST"
#define MYSQL_USER	"$MYSQL_USER"
#define MYSQL_PASS	"$MYSQL_PASS"
#define MYSQL_DB	"$MYSQL_DB"
_EOF_
echo "# This sql script was generated with setup.sh" > $TEMP.sql
echo "#" >> $TEMP.sql
if [ $RESC -eq $YES ]; then
#  echo "CREATE DATABASE $MYSQL_DB;" >> $TEMP.sql
  echo "GRANT ALL on ${MYSQL_DB}.* TO ${MYSQL_USER}@localhost IDENTIFIED BY '$MYSQL_PASS';" >> $TEMP.sql
fi
#if [ $RESD -eq $YES ]; then
#  cat create_tbl_* | grep "DROP"  >> $TEMP.sql
#fi
echo "USE $MYSQL_DB;" >> $TEMP.sql
cat create_tbl_* >> $TEMP.sql
echo "$MYSQL -u root -p mysql< $TEMP.sql"
echo "Enter the root password for mysql..."
$MYSQL -u root -p mysql< $TEMP.sql
rm -f $TEMP $TEMP.sql
